package OAD;
import OAD.*;
import java.sql.*;
public class kirjutaja{
	////////////////////tabelinimi///kasutajanimi//password///kas_kustu////Esitajanimi/////esitaja_WEB//stiilinimi///CD_pealkiri///CD_v_andja////CD_v_aasta//
	public String muuda(String tabel, String user, String pass, String del, String ID, String esitaja, String web, String stiil, String pealk, String v2lja, String aasta ){
		Connection cn;
		Statement st;
		ResultSet rs;
		ResultSetMetaData rsmd;
		String tagasi="";
		String lause="";
		int i;
		try{
    		Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");   
    		cn=DriverManager.getConnection("jdbc:odbc:plaadikogu", user, pass);
   	}catch(Exception e){return "Tekkis viga: "+e;}
		if(del!=null){
			try{
				st=cn.createStatement();
				lause="DELETE * FROM "+tabel+" WHERE ID="+ID;
				st.executeUpdate(lause);
				System.out.println(lause);
				st=cn.createStatement();
				if(tabel.compareTo("Esitajad")==0){
					lause="DELETE * FROM Palad WHERE Esitaja="+ID;
					System.out.println(lause);
					st.executeUpdate(lause);
				}
				if(tabel.compareTo("Stiilid")==0){
					lause="DELETE * FROM Palad WHERE Stiil="+ID;
					System.out.println(lause);
					st.executeUpdate(lause);
				}
				if(tabel.compareTo("Plaadid")==0){
					lause="DELETE * FROM Palad WHERE CD="+ID;
					System.out.println(lause);
					st.executeUpdate(lause);
				}				
			}catch(Exception e){return "Tekkis viga: "+e;};
			try{cn.close();}catch(Exception e){return "Tekkis viga: "+e;}
			return "Kustutamine ơnnestus! <br> (vajuta refresh'i)";
		}else{
			try{
				st=cn.createStatement();
				lause="Select * from "+tabel;
				rs=st.executeQuery(lause);
				rsmd=rs.getMetaData();
				lause="UPDATE "+tabel;
				if(tabel.compareTo("Esitajad")==0){
					lause=lause.concat(" SET Nimi='"+esitaja+"', Veebileht='"+web+"'");	
				}
				if(tabel.compareTo("Plaadid")==0){
					lause=lause.concat(" SET Pealkiri='"+pealk+"', Valjaandja='"+v2lja+"',V_aasta="+aasta);
				}
				if(tabel.compareTo("Stiilid")==0){
					lause=lause.concat(" SET Nimi='"+stiil+"'");
				}
				lause=lause.concat(" WHERE ID="+ID);
				System.out.println(lause);
				st=cn.createStatement();
				st.executeUpdate(lause);
			}catch(Exception e){return "Tekkis viga: "+e;}
			try{cn.close();}catch(Exception e){return "Tekkis viga: "+e;}
			return "Muutmine ơnnestus! <br> (vajuta refresh'i)";
		}
	}
}